# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /mnt/repos/aggregate/epoxy-feedstock/recipe, last modified Wed May 12 13:56:25 2021
# ------------------------------------------------

package:
  name: epoxy
  version: 1.5.4
source:
  sha256: 0bd2cc681dfeffdef739cb29913f8c3caa47a88a451fd2bc6e606c02997289d2
  url: https://github.com/anholt/libepoxy/releases/download/1.5.4/libepoxy-1.5.4.tar.xz
build:
  number: '2'
  run_exports:
    - epoxy >=1.5.4,<1.6.0a0
  string: h2f4d8fa_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - acl-amzn2-aarch64 2.2.51 5
    - audit-libs-amzn2-aarch64 2.8.1 5
    - autoconf-amzn2-aarch64 2.69 5
    - automake-amzn2-aarch64 1.13.4 5
    - basesystem-amzn2-aarch64 10.0 5
    - binutils-amzn2-aarch64 2.29.1 5
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - bzip2-libs-amzn2-aarch64 1.0.6 5
    - ca-certificates 2021.4.13 hd43f75c_1
    - certifi 2021.5.30 py39hd43f75c_0
    - coreutils-amzn2-aarch64 8.22 5
    - cpp-amzn2-aarch64 7.3.1 5
    - cracklib-amzn2-aarch64 2.9.0 5
    - cracklib-dicts-amzn2-aarch64 2.9.0 5
    - cryptsetup-libs-amzn2-aarch64 1.7.4 5
    - dbus-amzn2-aarch64 1.10.24 5
    - dbus-libs-amzn2-aarch64 1.10.24 5
    - device-mapper-libs-amzn2-aarch64 1.02.146 5
    - diffutils-amzn2-aarch64 3.3 5
    - elfutils-default-yama-scope-amzn2-aarch64 0.176 5
    - elfutils-libelf-amzn2-aarch64 0.176 5
    - elfutils-libs-amzn2-aarch64 0.176 5
    - expat-amzn2-aarch64 2.1.0 5
    - filesystem-amzn2-aarch64 3.2 5
    - gawk-amzn2-aarch64 4.0.2 5
    - gcc-amzn2-aarch64 7.3.1 5
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gdbm-amzn2-aarch64 1.13 5
    - gl-manpages-amzn2-aarch64 1.1 5
    - glib2-amzn2-aarch64 2.56.1 5
    - glibc-amzn2-aarch64 2.26 5
    - glibc-common-amzn2-aarch64 2.26 5
    - glibc-devel-amzn2-aarch64 2.26 5
    - glibc-headers-amzn2-aarch64 2.26 5
    - glibc-minimal-langpack-amzn2-aarch64 2.26 5
    - gmp-amzn2-aarch64 6.0.0 5
    - grep-amzn2-aarch64 2.20 5
    - gzip-amzn2-aarch64 1.5 5
    - info-amzn2-aarch64 5.1 5
    - kernel-headers-amzn2-aarch64 4.14.214 5
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - kmod-amzn2-aarch64 25 5
    - kmod-libs-amzn2-aarch64 25 5
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libacl-amzn2-aarch64 2.2.51 5
    - libatomic-amzn2-aarch64 7.3.1 5
    - libattr-amzn2-aarch64 2.4.46 5
    - libblkid-amzn2-aarch64 2.30.2 5
    - libcap-amzn2-aarch64 2.22 5
    - libcap-ng-amzn2-aarch64 0.7.5 5
    - libcrypt-amzn2-aarch64 2.26 5
    - libcurl-amzn2-aarch64 7.61.1 5
    - libdb-amzn2-aarch64 5.3.21 5
    - libdrm-amzn2-aarch64 2.4.97 5
    - libffi 3.3 h7c1a80f_2
    - libffi-amzn2-aarch64 3.0.13 5
    - libgcc-amzn2-aarch64 7.3.1 5
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgcrypt-amzn2-aarch64 1.5.3 5
    - libglvnd-amzn2-aarch64 1.0.1 5
    - libglvnd-core-devel-amzn2-aarch64 1.0.1 5
    - libglvnd-devel-amzn2-aarch64 1.0.1 5
    - libglvnd-egl-amzn2-aarch64 1.0.1 5
    - libglvnd-gles-amzn2-aarch64 1.0.1 5
    - libglvnd-glx-amzn2-aarch64 1.0.1 5
    - libglvnd-opengl-amzn2-aarch64 1.0.1 5
    - libgomp 10.2.0 h1234567_51
    - libgomp-amzn2-aarch64 7.3.1 5
    - libgpg-error-amzn2-aarch64 1.12 5
    - libitm-amzn2-aarch64 7.3.1 5
    - libmount-amzn2-aarch64 2.30.2 5
    - libmpc-amzn2-aarch64 1.0.1 5
    - libpwquality-amzn2-aarch64 1.2.3 5
    - libsanitizer-amzn2-aarch64 7.3.1 5
    - libselinux-amzn2-aarch64 2.5 5
    - libsepol-amzn2-aarch64 2.5 5
    - libstdcxx-amzn2-aarch64 7.3.1 5
    - libstdcxx-ng 10.2.0 h1234567_51
    - libtool-amzn2-aarch64 2.4.2 5
    - libuuid-amzn2-aarch64 2.30.2 5
    - libwayland-client-amzn2-aarch64 1.17.0 5
    - libwayland-server-amzn2-aarch64 1.17.0 5
    - libx11-amzn2-aarch64 1.6.7 5
    - libx11-common-amzn2-aarch64 1.6.7 5
    - libx11-devel-amzn2-aarch64 1.6.7 5
    - libxau-amzn2-aarch64 1.0.8 5
    - libxcb-amzn2-aarch64 1.12 5
    - libxdamage-amzn2-aarch64 1.1.4 5
    - libxext-amzn2-aarch64 1.3.3 5
    - libxfixes-amzn2-aarch64 5.0.3 5
    - libxml2-amzn2-aarch64 2.9.1 5
    - libxshmfence-amzn2-aarch64 1.2 5
    - libxxf86vm-amzn2-aarch64 1.1.4 5
    - lz4-amzn2-aarch64 1.7.5 5
    - m4-amzn2-aarch64 1.4.16 5
    - mesa-khr-devel-amzn2-aarch64 18.3.4 5
    - mesa-libegl-amzn2-aarch64 18.3.4 5
    - mesa-libegl-devel-amzn2-aarch64 18.3.4 5
    - mesa-libgbm-amzn2-aarch64 18.3.4 5
    - mesa-libgl-amzn2-aarch64 18.3.4 5
    - mesa-libgl-devel-amzn2-aarch64 18.3.4 5
    - mesa-libglapi-amzn2-aarch64 18.3.4 5
    - meson 0.58.1 pyhd3eb1b0_0
    - mpfr-amzn2-aarch64 3.1.1 5
    - ncurses 6.2 hfd63f10_0
    - ncurses-amzn2-aarch64 6.0 5
    - ncurses-base-amzn2-aarch64 6.0 5
    - ncurses-libs-amzn2-aarch64 6.0 5
    - ninja 1.10.2 py39h949e957_0
    - openssl 1.1.1k hfd63f10_1
    - pam-amzn2-aarch64 1.1.8 5
    - pcre-amzn2-aarch64 8.32 5
    - perl-amzn2-aarch64 5.16.3 5
    - perl-carp-amzn2-aarch64 1.26 5
    - perl-constant-amzn2-aarch64 1.27 5
    - perl-data-dumper-amzn2-aarch64 2.145 5
    - perl-exporter-amzn2-aarch64 5.68 5
    - perl-file-path-amzn2-aarch64 2.09 5
    - perl-getopt-long-amzn2-aarch64 2.40 5
    - perl-libs-amzn2-aarch64 5.16.3 5
    - perl-pathtools-amzn2-aarch64 3.40 5
    - perl-pod-usage-amzn2-aarch64 1.63 5
    - perl-scalar-list-utils-amzn2-aarch64 1.27 5
    - perl-test-harness-amzn2-aarch64 3.28 5
    - perl-text-parsewords-amzn2-aarch64 3.29 5
    - perl-thread-queue-amzn2-aarch64 3.02 5
    - perl-threads-amzn2-aarch64 1.87 5
    - perl-threads-shared-amzn2-aarch64 1.43 5
    - pkg-config 0.29.2 hfd63f10_0
    - pkgconfig-amzn2-aarch64 0.27.1 5
    - pthread-stubs 0.3 hfd63f10_1
    - python 3.9.5 hc137634_3
    - qrencode-libs-amzn2-aarch64 3.4.1 5
    - readline 8.1 hfd63f10_0
    - readline-amzn2-aarch64 6.2 5
    - sed-amzn2-aarch64 4.2.2 5
    - setup-amzn2-aarch64 2.8.71 5
    - setuptools 52.0.0 py39hd43f75c_0
    - shared-mime-info-amzn2-aarch64 1.8 5
    - sqlite 3.35.4 h017fe0a_1
    - sysroot_linux-aarch64 2.26 h4744778_14
    - system-release-amzn2-aarch64 2 5
    - systemd-amzn2-aarch64 219 5
    - systemd-libs-amzn2-aarch64 219 5
    - tar-amzn2-aarch64 1.26 5
    - tk 8.6.10 h8ea0f78_0
    - tzdata 2021a h52ac0ba_0
    - tzdata-amzn2-aarch64 2020d 5
    - xorg-x11-proto-devel-amzn2-aarch64 2018.4 5
    - xorg-x11-util-macros-amzn2-aarch64 1.19.0 5
    - xz 5.2.5 hfd63f10_1
    - xz-libs-amzn2-aarch64 5.2.2 5
    - zlib 1.2.11 hfd63f10_5
    - zlib-amzn2-aarch64 1.2.7 5
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
  run:
    - libgcc-ng >=10.2.0
test:
  commands:
    - test -f $PREFIX/include/epoxy/common.h
    - test -f $PREFIX/lib/libepoxy${SHLIB_EXT}
about:
  description: 'Epoxy is a library for handling OpenGL function pointer management
    for you.


    It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),

    eglGetProcAddress(), etc. from the app developer, with very little

    knowledge needed on their part. They get to read GL specs and write code

    using undecorated function names like glCompileShader().


    Don''t forget to check for your extensions or versions being present before

    you use them, just like before! We''ll tell you what you forgot to check

    for instead of just segfaulting, though.

    '
  dev_url: https://github.com/anholt/libepoxy
  home: https://github.com/anholt/libepoxy
  license: MIT
  license_family: MIT
  license_file: COPYING
  summary: A library for handling OpenGL function pointer management for you.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ryanvolz
    - stuarteberg
    - tschoonj
